
QGIS Application - Bug report #11543

QGIS Server returns invalid XML as Exception when REQUEST params are only SERVICE=WMS 

(REQUEST is missing)

2014-11-04 03:15 AM - Marco Lechner

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.6.0 Regression?: No

Operating System: Linux, surely others Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19813

Description

If calling 

http://&amp;lt;myip&amp;gt;/cgi-bin/qgis_mapserv.fcgi?MAP=&amp;lt;myproject&amp;gt;.qgs&#38;SERVICE=WMS or

http://&amp;lt;myip&amp;gt;/cgi-bin/qgis_mapserv.fcgi?SERVICE=WMS

on QGIS Server it returns an invalid XML including two errors and header:

<ServiceExceptionReport version="1.3.0" xmlns="http://www.opengis.net/ogc">

 <ServiceException code="OperationNotSupported">Please check the value of the REQUEST parameter</ServiceException>

</ServiceExceptionReport>

Content-Type: text/xml

Content-Length: 194

<ServiceExceptionReport version="1.3.0" xmlns="http://www.opengis.net/ogc">

 <ServiceException code="OperationNotSupported">Operation  not supported</ServiceException>

</ServiceExceptionReport>

THe returned EXCEPTION should be valid.

Associated revisions

Revision 1d3f8a73 - 2014-11-04 12:30 PM - Jürgen Fischer

server: stop processing after 'no REQUEST' exception (fixes #11543)

Revision 863089ac - 2014-11-05 06:02 PM - Jürgen Fischer

server: stop processing after 'no REQUEST' exception (fixes #11543)

Revision fa3f9a14 - 2015-03-20 02:38 AM - Larry Shaffer

Redo "server: stop processing after 'no REQUEST' exception (fixes #11543)" from 1d3f8a7

- Accidentally removed during merge conflict in 670719c?

Revision 02fd61bd - 2015-03-20 07:17 PM - Larry Shaffer
http://&amp;lt;myip&amp;gt;/cgi-bin/qgis_mapserv.fcgi?MAP=&amp;lt;myproject&amp;gt;.qgs&#38;SERVICE=WMS
http://&amp;lt;myip&amp;gt;/cgi-bin/qgis_mapserv.fcgi?SERVICE=WMS


Redo "server: stop processing after 'no REQUEST' exception (fixes #11543)" from 1d3f8a7

- Accidentally removed during merge conflict in 670719c?

History

#1 - 2014-11-04 03:30 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"1d3f8a73b57de23f96d49db79e105a0d20f0504b".

2025-04-27 2/2


